* ENTER.CMD - TO ENTER NEW ITEMS INTO B:ITEM.DBF
* WRITTEN BY MICHAEL LYNN  7/16/83
SET TALK OFF
SELE SECO
STORE '          ' TO mitem
DO WHILE mitem <> 'T'
ERASE
STORE '          ' TO mitem
STORE 000.00 TO mprice
STORE 00 TO mquan
STORE '                              ' TO mdescr
@ 5, 5 SAY "ENTER CATALOGUE # OF NEW ITEM" GET mitem PICTURE '!!!!!!!!!!'
@ 6, 5 SAY "OR ENTER A T TO EXIT"
READ
IF mitem='T'
RETURN
ENDIF
FIND &mitem

IF #=0
APPEND BLANK
@ 8, 5 SAY "ENTER DESCRIPTION OF ITEM"
@ 9, 5 GET descr
@ 10, 5 SAY "ENTER PRICE" GET price 
@ 11, 5 SAY "ENTER QUANTITY ON HAND" GET quantity PICTURE '99'
@ 12, 5 SAY "ENTER REORDER AMOUNT" GET reorder PICTURE '99'
@ 13, 5 SAY "ENTER VENDOR NUMBER" GET vendor PICTURE '99'
READ
REPLACE catnum WITH mitem
ELSE
@ 8, 5 SAY "THIS CATALOGUE NUMBER IS ALREADY IN USE BY:"
@ 9, 5 SAY descr
@ 10, 5 SAY "AT A PRICE OF"
@ 10,21 GET price 
READ
SET CONSOLE OFF
WAIT
SET CONSOLE ON
ENDIF
ENDDO
RETURN
